#!/bin/bash
#
# data parsing
#
echo "reformatting data ..."
echo "compacting URBs ..."
awk -f filtre.awk $1 >tmp
echo "sorting ..."
sort -n -k 5 <tmp >res
echo "reordering in/out ..."
awk -f swap.awk <res >tmp
echo "depacking ..."
awk -F'#' -f refait.awk <tmp >res
echo "parsing ..."
awk -f parse1.awk <res | grep -v skip >tmp
# do not apply specific scripts
cp tmp `basename $1`.compact1
#
# apply all scripts for low-level decoding
#
for script in \
pie2-sequence1.awk \
pie2-sequence2.awk \
pie2-sequence3.awk \
pie2-scsicommand.awk \
;
do
	echo "executing "$script"..."
	awk -f $script tmp >res
	mv res tmp
done
mv tmp `basename $1`.interpreted2
#
# index image data
#
echo "executing pie2-indeximage.awk..."
awk -f pie2-indeximage.awk `basename $1`.interpreted2 >`basename $1`.indexed3

